Bug 974533 - Should have a line feed between "a template application" and "Embedded app details: " after creating a scaling app
Should have a line feed between "a template application" and "Embedded app de...
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Command Line Interface (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Jessica Forrester
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-14 07:17 EDT by Wei Sun
Modified: 2015-05-14 22:23 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-24 10:55:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wei Sun 2013-06-14 07:17:46 EDT
Description of problem:
Create a scaling app,after creating successfully,it shows "The cartridge ruby deployed a template applicationEmbedded app details:"
Should have a line feed between The cartridge ruby deployed a template application" and "Embedded app details:"

Version-Release number of selected component (if applicable):

rhc-1.10.1 build from deven_3358
deven_3360

How reproducible:
Always

Steps to Reproduce:
1.Create a scaling app
2.
3.

Actual results:
[sunwei@dhcp-8-229 ~]$ rhc app create r9 ruby-1.9 -s --no-git -p x
Application Options
-------------------
  Namespace:  wsun33603
  Cartridges: ruby-1.9
  Gear Size:  default
  Scaling:    yes

Creating application 'r9' ... done

Waiting for your DNS name to be available ... done

r9 @ http://r9-wsun33603.dev.rhcloud.com/ (uuid: 608117273807065888849920)
--------------------------------------------------------------------------
  Created: 6:46 PM
  Gears:   1 (defaults to small)
  Git URL: ssh://608117273807065888849920@r9-wsun33603.dev.rhcloud.com/~/git/r9.git/
  SSH:     608117273807065888849920@r9-wsun33603.dev.rhcloud.com

  ruby-1.9 (Ruby 1.9)
  -------------------
    Scaling: x1 (minimum: 1, maximum: available) on small gears

  haproxy-1.4 (OpenShift Web Balancer)
  ------------------------------------
    Gears: Located with ruby-1.9

RESULT:
Application r9 was created.
The cartridge ruby deployed a template applicationEmbedded app details: 
HAProxy instance is started


Expected results:
Should have a line feed between The cartridge ruby deployed a template application" and "Embedded app details:"

Additional info:
Comment 1 Jessica Forrester 2013-06-14 12:46:15 EDT
Fixed in https://github.com/openshift/origin-server/pull/2846

Switched to a format like this:

Application r93 was created.
The cartridge ruby deployed a template application

haproxy-1.4: 
HAProxy instance is started
Comment 2 openshift-github-bot 2013-06-14 14:34:45 EDT
Commit pushed to master at https://github.com/openshift/origin-server

https://github.com/openshift/origin-server/commit/9a6242795926d6017c521b72afc10d36359aa2f0
Bug 974533 - Separate response messages from secondary carts
Comment 3 Wei Sun 2013-06-17 00:49:32 EDT
Verified on devenv_3368,and rhc is build from devenv_3368

Result:
[sunwei@dhcp-8-229 dev]$ rhc app create r9 ruby-1.9 -s --no-git -p x
Application Options
-------------------
  Namespace:  wsundev3368
  Cartridges: ruby-1.9
  Gear Size:  default
  Scaling:    yes

Creating application 'r9' ... done

  Application r9 was created.
  The cartridge ruby deployed a template application

haproxy-1.4:
  HAProxy instance is started

Waiting for your DNS name to be available ... done

Your application 'r9' is now available.

  URL:        http://r9-wsundev3368.dev.rhcloud.com/
  SSH to:     339199394930193915183104@r9-wsundev3368.dev.rhcloud.com
  Git remote: ssh://339199394930193915183104@r9-wsundev3368.dev.rhcloud.com/~/git/r9.git/

Run 'rhc show-app r9' for more details about your app.

Note You need to log in before you can comment on or make changes to this bug.